#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include "message.h"

extern const char *__progname;

static	void	print_message( const char *fmt, va_list args )
{
	fprintf( stderr, "%s: ", __progname );
	vfprintf( stderr, fmt, args );
	fputs( "\r\n", stderr );
	fflush( stderr );
}

void errmsg( const char *fmt, ... )
{
	va_list args;

	va_start( args, fmt );
	print_message( fmt, args );
	va_end( args );
}

void fatal( const char *fmt, ... )
{
	va_list args;

	va_start( args, fmt );
	print_message( fmt, args );
	va_end( args );
	exit( 1 );
}
